Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
List of access keys.
Mostra attributi secondari
results.id
string
obbligatorio
ID of the access key.
results.organizationId
string
obbligatorio
ID of the organization that owns the access key.
results.name
string
obbligatorio
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
obbligatorio
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
obbligatorio
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostra attributi secondari
results.roleRefs.id
string
obbligatorio
results.roleRefs.type
string
obbligatorio
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Payload della richiesta
name
string
obbligatorio
Access key name.
description
string
obbligatorio
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Mostra parametri secondari
roleRefs.id
string
obbligatorio
roleRefs.type
string
obbligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Payload della risposta
accessKey
object
obbligatorio
The access key record.
Mostra attributi secondari
accessKey.id
string
obbligatorio
ID of the access key.
accessKey.organizationId
string
obbligatorio
ID of the organization that owns the access key.
accessKey.name
string
obbligatorio
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
obbligatorio
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
obbligatorio
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostra attributi secondari
accessKey.roleRefs.id
string
obbligatorio
accessKey.roleRefs.type
string
obbligatorio
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
obbligatorio
The token that can be used for authentication
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Payload della risposta
id
string
obbligatorio
ID of the access key.
organizationId
string
obbligatorio
ID of the organization that owns the access key.
name
string
obbligatorio
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obbligatorio
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obbligatorio
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
obbligatorio
IAM roles attached to this access key.
Mostra attributi secondari
roles.accessKeysDependencyCount
integer
obbligatorio
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Mostra attributi secondari
roles.actions.name
string
obbligatorio
The name of the action.
roles.actions.type
string
obbligatorio
The type that the action belongs to.
roles.createdAt
string
obbligatorio
When this role was created.
roles.description
string
Role description.
roles.id
string
obbligatorio
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Mostra attributi secondari
roles.metadata.clouds
array of string
roles.name
string
obbligatorio
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra attributi secondari
The IAM policy record.
roles.policies.createdAt
string
obbligatorio
When the IAM Policy was created.
roles.policies.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
roles.policies.definitions.actions
array of string
obbligatorio
A list of actions
roles.policies.definitions.conditionsAll
array of object
Mostra attributi secondari
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
obbligatorio
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
obbligatorio
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
obbligatorio
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
obbligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
obbligatorio
When this role was last updated.
roles.usersDependencyCount
integer
obbligatorio
The number of users this role is assigned to.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Payload della richiesta
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Mostra parametri secondari
roleRefs.id
string
obbligatorio
roleRefs.type
string
obbligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Payload della risposta
id
string
obbligatorio
ID of the access key.
organizationId
string
obbligatorio
ID of the organization that owns the access key.
name
string
obbligatorio
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obbligatorio
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obbligatorio
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Mostra attributi secondari
roleRefs.id
string
obbligatorio
roleRefs.type
string
obbligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'